SPADS doesnt recognise maintenance builds

SPADS doesnt recognise maintenance builds

SpringRTS Perl Autohost for Dedicated Server

Moderators: Moderators, Lobby Developers, SPADS AutoHost

Post Reply
User avatar
Floris
Balanced Annihilation Developer
Posts: 599
Joined: 04 Jan 2011, 20:00

SPADS doesnt recognise maintenance builds

Post by Floris » 16 Jan 2018, 00:44

plz support?

(as i understand it...) some custom trickery is currently done to get it to work at all...
0 x

tzaeru
Posts: 283
Joined: 28 Oct 2007, 02:23

Re: SPADS AutoHost

Post by tzaeru » 05 Feb 2018, 13:50

Can't seem to be able to use maintenance builds from the maintenance branch ( https://springrts.com/dl/buildbot/default/maintenance/ )

'testing' for autoManagedSpringVersion also just picks stable 104.0.

NOTICE - [SPADS] Initializing SPADS 0.12.2a
ERROR - [SpadsUpdater] Spring 104.0.1-151-g11de57d installation cancelled (version unavailable for download)
CRITICAL - [SPADS] Unable to auto-install Spring version "104.0.1-151-g11de57d"

As a temporary workaround, I manually created the ~/.spads/var/spring/104.0.1-151-g11de57d-linux64 directory and put the particular Spring version there.
0 x

User avatar
bibim
Lobby Developer
Posts: 901
Joined: 06 Dec 2007, 11:12

Re: SPADS AutoHost

Post by bibim » 24 Feb 2018, 23:49

I finally found some time to add maintenance branch support into Spring version auto-management functionality: the autoManagedSpringVersion setting now accepts the "maintenance" value to automatically stay up to date with Spring maintenance branch (only available in SPADS >= 0.12.4).
tzaeru wrote:'testing' for autoManagedSpringVersion also just picks stable 104.0.
This is the expected behavior, given than current Spring "testing" version (103.0.1-1328-g882485f as seen here) is older than latest available release (104.0).
tzaeru wrote:NOTICE - [SPADS] Initializing SPADS 0.12.2a
ERROR - [SpadsUpdater] Spring 104.0.1-151-g11de57d installation cancelled (version unavailable for download)
CRITICAL - [SPADS] Unable to auto-install Spring version "104.0.1-151-g11de57d"

As a temporary workaround, I manually created the ~/.spads/var/spring/104.0.1-151-g11de57d-linux64 directory and put the particular Spring version there.
Yes, this should work nicely.
0 x

Post Reply

Return to “SPADS AutoHost”